<?php 
class WCAM_Options
{
	public function __construct()
	{
	}
	public function render_page() 
	{
		$this->render_options_page();
	}
	private function render_options_page()
	{
		$option = new WCAM_Option();
		if(isset($_POST['wcam_general_options']))
			$option->save_options($_POST['wcam_general_options']);
			
		$options = $option->get_option();
		$time_offset = isset($options['time_offset']) ? $options['time_offset'] : 0;
		$admin_notification_recipients = isset($options['admin_notification_recipients']) ? $options['admin_notification_recipients'] : "";
		
		wp_enqueue_style( 'wcam-toggle', wcam_PLUGIN_PATH.'/css/com-toggle.css'  );
		wp_enqueue_style( 'wcam-common', wcam_PLUGIN_PATH.'/css/wcam-common.css'  );
		wp_enqueue_style( 'wcam-options-page', wcam_PLUGIN_PATH.'/css/wcam-backend-options.css'  );
		
		 wp_enqueue_script('wcam-dropzone', wcam_PLUGIN_PATH.'/js/wcam-backend-options.js');
		
		$default_width = get_option('thumbnail' . '_size_w' );
		$default_height = get_option('thumbnail' . '_size_h' );
		$wpml = new WCAM_Wpml();
		$curr_lang = $wpml->get_current_language();
		$order_statuses = wc_get_order_statuses();
		$custom_order_status_emails = WCAM_Email::get_wc_order_status_emails();
		
		
		?>
		<div class="wrap">
			<form method="post"  action=""  id="wcam-options-form">
			<div id="options-container">
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('System', 'woocommerce-attach-me');?></h2>
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Folder name', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('(use only alphanumeric characters, NO special characters allowed). Previous attachments will not be moved to the new folder', 'woocommerce-attach-me');?></p>
					<input type="text" name="wcam_general_options[folder_name]" value="<?php if(isset($options['folder_name'])) echo $options['folder_name']; else echo "wcam" ?>" required></input><br/>
					<small><?php esc_html_e('The upload folder is currently located in wp-content/uploads/ folder.', 'woocommerce-attach-me');?></small>
				</div>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('File name prefix', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('Disable the random number prefix added to the file name.', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[disable_random_number_prefix]" value="true" <?php checked(wcam_get_value_if_set($options, 'disable_random_number_prefix', 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>	
				</div>
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Default options' , 'woocommerce-attach-me');?></h2>
				<p>
					<strong><?php esc_html_e('Note: ', 'woocommerce-attach-me'); ?></strong><?php esc_html_e('for each attachment you can change the default options later on the order page while creating a new attachment', 'woocommerce-attach-me'); ?>
				</p>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('General', 'woocommerce-attach-me');?></h4>
					<div class="wcam-options-container">
						<input type="checkbox" <?php if(isset($options['secure_download']) && $options['secure_download'] == 'yes') echo 'checked="checked"';?> 
							   name="wcam_general_options[secure_download]" class="wcam-customer-approve-checkbox" value="yes"><?php esc_html_e('Secure download (Only the owner of the order can view/download the file). This option will not work with external  links. ', 'woocommerce-attach-me'); ?></input>
						<br/>				
						<input type="checkbox" <?php if(isset($options['approve_checkbox_default_value']) && $options['approve_checkbox_default_value'] == 'yes') echo 'checked="checked"';?> 
							   name="wcam_general_options[approve_checkbox_default_value]" class="wcam-customer-approve-checkbox" value="yes"><?php esc_html_e('Enable customer approval? ', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['reapprove_checkbox_default_value']) && $options['reapprove_checkbox_default_value'] == 'yes') echo 'checked="checked"';?> 
							   name="wcam_general_options[reapprove_checkbox_default_value]" class="wcam-customer-reapprove-checkbox" value="yes"><?php esc_html_e('Can customer change approval value after submit?', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['feedback_checkbox_default_value']) && $options['feedback_checkbox_default_value'] == 'yes') echo 'checked="checked"';?>
								name="wcam_general_options[feedback_checkbox_default_value]"  class="wcam-customer-feedback-checkbox" value="yes"><?php esc_html_e('Allow the customer to leave a feedback?', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['feedback_cannot_be_modified_after_submit_default_value']) && $options['feedback_cannot_be_modified_after_submit_default_value'] == 'yes') echo 'checked="checked"';?>
								name="wcam_general_options[feedback_cannot_be_modified_after_submit_default_value]"  class="wcam-customer-feedback-checkbox" value="yes"><?php esc_html_e('The feedback cannot be modified after submit', 'woocommerce-attach-me'); ?></input>
						<br/>
						
						&nbsp;&nbsp;&nbsp;<?php esc_html_e('... and feedback is required when (it works only if the previous feedback option has been enabled)', 'woocommerce-attach-me'); ?>
						<br/><select name="wcam_general_options[feedback_strategy]" >
							<option value="always" <?php if(isset($options['feedback_strategy']) && $options['feedback_strategy'] == 'always') echo 'selected="selected"';?>><?php esc_html_e('Always', 'woocommerce-attach-me'); ?></option>
							<option value="only_yes" <?php if(isset($options['feedback_strategy']) && $options['feedback_strategy'] == 'only_yes') echo 'selected="selected"';?>><?php esc_html_e('If customer approves', 'woocommerce-attach-me'); ?></option>
							<option value="only_no" <?php if(isset($options['feedback_strategy']) && $options['feedback_strategy'] == 'only_no') echo 'selected="selected"';?>><?php esc_html_e('If customer does not approve', 'woocommerce-attach-me'); ?></option>
							<option value="never" <?php if(isset($options['feedback_strategy']) && $options['feedback_strategy'] == 'never') echo 'selected="selected"';?>><?php esc_html_e('Never', 'woocommerce-attach-me'); ?></option>
						</select>
						
						<br/>
						<input  type="checkbox" <?php if(isset($options['customer_admin_notification_checkbox_default_value']) && $options['customer_admin_notification_checkbox_default_value'] == 'yes') echo 'checked="checked"';?>
							   name="wcam_general_options[customer_admin_notification_checkbox_default_value]" class="wcam-customer-admin-notification-checkbox" value="yes"><?php esc_html_e('Receive an email when the customer approve or leaves a feedback? ', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['display_copy_to_clipboard_button']) && $options['display_copy_to_clipboard_button'] == 'yes') echo 'checked="checked"';?>
								name="wcam_general_options[display_copy_to_clipboard_button]"  class="wcam-customer-feedback-checkbox" value="yes"><?php esc_html_e('Display also the "Copy attached file url to clipboard" button next the "Download/View" button on Order details page?', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['download_only_if_disclaimer_has_been_accepted']) && $options['download_only_if_disclaimer_has_been_accepted'] == 'yes') echo 'checked="checked"';?>
								name="wcam_general_options[download_only_if_disclaimer_has_been_accepted]"  class="" value="yes"><?php wcam_html_escape_allowing_special_tags(__('The attachment is downloadable only if the <strong>disclaimer</strong> has been accepted? (use the underneath Texts option area to customize the disclaimer checkbox label to show)', 'woocommerce-attach-me')); ?></input>
						<br/>
					</div>
				</div>
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Select for which order status the attachments are hidden', 'woocommerce-attach-me'); ?></h4>
					<div class="wcam-options-container">
						<?php 
						 
						 foreach((array)$order_statuses as $code => $status): 
							
							$hide_on_current_status= isset($options['order_attachment_hide_by_status']) && in_array($code, $options['order_attachment_hide_by_status']) ? true : false;
						 ?>
						
							 <input type="checkbox" <?php if($hide_on_current_status) echo 'checked="checked"';?>
							   name="wcam_general_options[order_attachment_hide_by_status][]"  value="<?php echo $code; ?>"><?php esc_html_e('Hide on',''); ?> <?php echo $status ?></input>
							<br/>
						 
						<?php endforeach; ?>
					</div>
				</div>
				<div class="wcam-option-group wcam-half">				
					<h4><?php esc_html_e('WooCommerce email notifications - Attachments', 'woocommerce-attach-me'); ?></h4>
					<p><?php esc_html_e('Select to which email type the file attachmets must be attached', 'woocommerce-attach-me'); ?></p>
					<div class="wcam-options-container">
						<input type="checkbox" <?php if(isset($options['attach_file_to_processing_order_email_default_value']) && $options['attach_file_to_processing_order_email_default_value'] == 'yes') echo 'checked="checked"';?>
							   class="wcam-attach-file-to-complete-order-email" name="wcam_general_options[attach_file_to_processing_order_email_default_value]"  value="yes"><?php esc_html_e('Processing order email', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['attach_file_to_complete_order_email_default_value']) && $options['attach_file_to_complete_order_email_default_value'] == 'yes') echo 'checked="checked"';?>
							   class="wcam-attach-file-to-complete-order-email" name="wcam_general_options[attach_file_to_complete_order_email_default_value]"  value="yes"><?php esc_html_e('Complete order email', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['attach_file_to_customer_invoice_email_default_value']) && $options['attach_file_to_customer_invoice_email_default_value'] == 'yes') echo 'checked="checked"';?>
							   class="wcam-attach-file-to-complete-order-email" name="wcam_general_options[attach_file_to_customer_invoice_email_default_value]"  value="yes"><?php esc_html_e('Customer Invoice email', 'woocommerce-attach-me'); ?></input>
						<br/>
						<input type="checkbox" <?php if(isset($options['attach_file_to_order_refunded_email_default_value']) && $options['attach_file_to_order_refunded_email_default_value'] == 'yes') echo 'checked="checked"';?>
							   class="wcam-attach-file-to-complete-order-email" name="wcam_general_options[attach_file_to_order_refunded_email_default_value]"  value="yes"><?php esc_html_e('Order Refunded email', 'woocommerce-attach-me'); ?></input>
						<br/>
						<?php if(!empty($custom_order_status_emails)): 
							 foreach($custom_order_status_emails as $wc_custom_email_id => $wc_custom_email_title): ?>
							<input type="checkbox" <?php if(isset($options['attach_file_to_'.$wc_custom_email_id]) && $options['attach_file_to_'.$wc_custom_email_id] == 'yes') echo 'checked="checked"';?>
							   class="wcam-attach-file-to-complete-order-email" name="wcam_general_options[attach_file_to_<?php echo $wc_custom_email_id; ?>]"  value="yes"><?php echo $wc_custom_email_title; ?></input>
							<br/>
							<?php endforeach; ?>
						<?php endif; ?>
					</div>
				</div>	
				<div class="wcam-option-group wcam-half">	
					<h4><?php esc_html_e('WooCommerce email notifications - Embedding', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('Embed download/view links into WooCommerce emails', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[embed_links_to_complete_mail]" value="yes" id="embed_links_to_complete_mail" <?php checked(wcam_get_value_if_set($options, 'embed_links_to_complete_mail', 'false'),'yes'); ?>>
						  <span class="wcam-slider"></span>
					</label>	
					
					<div id="embed_links_to_complete_mail_box" <?php if(!isset($options['embed_links_to_complete_mail'])) echo 'style="display:none;"'; ?>>
						<label><?php esc_html_e('If the embedding option is enable by default links are embedded to ALL outgoing WooCommerce notification emails. However the embedding can be disable according to the current order status:', 'woocommerce-attach-me'); ?></label> 
						<?php foreach((array)$order_statuses as $code => $status): ?>
							<input type="checkbox" <?php if(isset($options['embed_links_hide_by_status']) && in_array($code, $options['embed_links_hide_by_status'])) echo 'checked="checked"'; ?>
							   name="wcam_general_options[embed_links_hide_by_status][]"  value="<?php echo $code; ?>" ><?php esc_html_e('Hide for',''); ?> <?php echo $status ?></input>
							<br/>
						<?php endforeach; ?>
						
						<label><?php esc_html_e('You can use as message body a preset text. Use the following dropdown menu to choose which preset text to load:', 'woocommerce-attach-me'); ?></label>
						<select name="wcam_general_options[embed_links_preset_email_text_id]" id="wcam_load_preset_embedded_email" data-id="wcam-embed-links-to-complete-mail-text">
							<option value="input_text" <?php if(isset($options['embed_links_preset_email_text_id']) && $options['embed_links_preset_email_text_id'] == 'input_text') echo 'selected="selected"'; ?>><?php esc_html_e('Use input text', 'woocommerce-attach-me'); ?></option>
							<?php 
								$preset_email_texts = $option->get_emails_preset_texts();
								foreach((array)$preset_email_texts as $text_data): ?>
									<option value="<?php echo $text_data['body_text_unique_field_id']; ?>" <?php if(isset($options['embed_links_preset_email_text_id']) && $options['embed_links_preset_email_text_id'] == $text_data['body_text_unique_field_id']) echo 'selected="selected"'; ?> ><?php echo $text_data['body_text_title']; ?></option>
								<?php endforeach; ?>
						</select>
						<label><?php esc_html_e('If none of the preset text has been selected, the following text will be used:', 'woocommerce-attach-me'); ?></label>
						<p class="wcam_instruction_paragraph"><strong><?php esc_html_e('Instruction:', 'woocommerce-attach-me'); ?></i></strong><br/>
							<?php wcam_html_escape_allowing_special_tags(__('Use the <span class="wcam_highlight_text">[wcam_order_page_link]</span> to embed a link to the order page. To customize link text use the following format: <span class="wcam_highlight_text">[wcam_order_page_link]Custom link text[/wcam_order_page_link]</span>.<br/>Use the attachments download/view shortcodes to link the attachment. Ex.: Download your <span class="wcam_highlight_text">[wcam_download_link id="0"]invoice[/wcam_download_link]</span> and <span class="wcam_highlight_text">[wcam_download_link id="1"]digital manual[/wcam_download_link]</span>.<br/>If you want to use headings, note that the <span class="wcam_highlight_text">h3</span> is the default tile tag used in WooCoommerce emails. ', 'woocommerce-attach-me')); ?>
						</p>
						<?php 
						$content = wcam_get_value_if_set($options, array('embed_links_preset_email_text', $curr_lang),"");
						wp_editor( $content, 'embed_links_preset_email_text', array('textarea_name' => "wcam_general_options[embed_links_preset_email_text][{$curr_lang}]", 
																				'media_buttons' => false,
																				'textarea_rows' => 6) ); ?>
						
					</div>
				</div>	
				<div class="wcam-option-group wcam-full">
					<h4><?php esc_html_e('Manual email notification sent to the customer', 'woocommerce-attach-me');?></h4>
					
					<div class="wcam-options-container">
						<div class="wcam-half-container">
							<label><?php esc_html_e('All the order attachments will be attached to the notification email', 'woocommerce-attach-me'); ?></label>
							<label class="wcam-switch  wcam-very-smalll-margin-top">
								  <input type="checkbox" class="" name="wcam_general_options[manual_notification_select_all_attachments]" value="yes" <?php checked(wcam_get_value_if_set($options, 'manual_notification_select_all_attachments', 'no'),'yes'); ?>>
								  <span class="wcam-slider"></span>
							</label>
						</div>
						<div class="wcam-half-container">
							<label><?php esc_html_e('Display a warning before sending an email if no attachments have been selected. This will help you to prenvet sending notifications without attachments.', 'woocommerce-attach-me'); ?></label>
							<label class="wcam-switch  wcam-very-smalll-margin-top">
								  <input type="checkbox" class="" name="wcam_general_options[manual_notification_prevent_sending_with_no_attachments]" value="yes" <?php checked(wcam_get_value_if_set($options, 'manual_notification_prevent_sending_with_no_attachments', 'no'),'yes'); ?>>
								  <span class="wcam-slider"></span>
							</label>
						</div>
						
					
						<div class="wcam-half-container">
							<label><?php esc_html_e('Default subject. You can use the [order_id] shortcode.', 'woocommerce-attach-me'); ?></label>
							<input type="text" name="wcam_general_options[manual_notification_default_subject][<?php echo $curr_lang ?>]" value="<?php if(isset($options['manual_notification_default_subject'][$curr_lang ])) echo $options['manual_notification_default_subject'][$curr_lang]; ?>"></input>
						</div>
						<div class="wcam-half-container">
						<label><?php esc_html_e('You can use as message body a preset text. Use the following dropdown menu to choose which preset text to load:', 'woocommerce-attach-me'); ?></label>
							<select name="wcam_general_options[manual_notification_preset_body_id]" >
								<option value="input_text" <?php if(isset($options['manual_notification_preset_body_id']) && $options['manual_notification_preset_body_id'] == 'input_text') echo 'selected="selected"'; ?>><?php esc_html_e('Use input text', 'woocommerce-attach-me'); ?></option>
								<?php 
									$preset_email_texts = $option->get_emails_preset_texts();
									foreach((array)$preset_email_texts as $text_data): ?>
										<option value="<?php echo $text_data['body_text_unique_field_id']; ?>" <?php if(isset($options['manual_notification_preset_body_id']) && $options['manual_notification_preset_body_id'] == $text_data['body_text_unique_field_id']) echo 'selected="selected"'; ?> ><?php echo $text_data['body_text_title']; ?></option>
									<?php endforeach; ?>
							</select>
						</div>
						<label><?php esc_html_e('If none of the preset text has been selected, the following text will be used:', 'woocommerce-attach-me'); ?></label>
						<p class="wcam_instruction_paragraph"><strong><?php esc_html_e('Instruction:', 'woocommerce-attach-me'); ?></i></strong><br/>
							<?php wcam_html_escape_allowing_special_tags(__('Use the <span class="wcam_highlight_text">[wcam_order_page_link]</span> to embed a link to the order page. To customize link text use the following format: <span class="wcam_highlight_text">[wcam_order_page_link]Custom link text[/wcam_order_page_link]</span>.<br/>Use the attachments download/view shortcodes to link the attachment. Ex.: Download your <span class="wcam_highlight_text">[wcam_download_link id="0"]invoice[/wcam_download_link]</span> and <span class="wcam_highlight_text">[wcam_download_link id="1"]digital manual[/wcam_download_link]</span>.<br/>If you want to use headings, note that the <span class="wcam_highlight_text">h3</span> is the default tile tag used in WooCoommerce emails. ', 'woocommerce-attach-me')); ?>
						</p>
						<?php 
						$content = wcam_get_value_if_set($options, array('manual_notification_preset_email_text', $curr_lang),"");
						wp_editor( $content, 'manual_notification_preset_email_text', array('textarea_name' => "wcam_general_options[manual_notification_preset_email_text][{$curr_lang}]", 
																				'media_buttons' => false,
																				'textarea_rows' => 6) ); ?>
					</div>														
				</div>		
				
				<!-- end default options -->
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Order attachments' , 'woocommerce-attach-me');?></h2>	
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Status change according to the approval answer', 'woocommerce-attach-me'); ?></h4>
					<p><?php esc_html_e('Takes effect only if you have enabled the "Enable customer approval" option', 'woocommerce-attach-me'); ?></p>
					<span class="wcam_status_change_due_to_approval_info_text"><?php wcam_html_escape_allowing_special_tags(__('Select which status assign when an attachment is marked as <strong>approved</strong> by the user', 'woocommerce-attach-me')); ?></span>
					<select name="wcam_general_options[status_to_assign_for_approval]" >
						<option value="unchanged" <?php if($options['status_to_assign_for_approval'] == 'unchanged') echo 'selected="selected"';?>><?php esc_html_e('Leave unchanged', 'woocommerce-attach-me'); ?></option>
						<?php 
								foreach((array)$order_statuses as $code => $status): 
									$selected = $options['status_to_assign_for_approval'] == $code ? 'selected = "selected"' : "";
									echo '<option value="'.$code.'" '.$selected.'>'.$status.'</option>';
								endforeach;
							 ?>
					</select>
					
					<span class="wcam_status_change_due_to_approval_info_text"><?php wcam_html_escape_allowing_special_tags(__('Select which status assign when an attachment is marked as <strong>not approved</strong> by the user', 'woocommerce-attach-me')); ?></span>
					<select name="wcam_general_options[status_to_assign_for_not_approval]" >
						<option value="unchanged" <?php if($options['status_to_assign_for_not_approval'] == 'unchanged') echo 'selected="selected"';?>><?php esc_html_e('Leave unchanged', 'woocommerce-attach-me'); ?></option>
						<?php 
								foreach((array)$order_statuses as $code => $status): 
									$selected = $options['status_to_assign_for_not_approval'] == $code ? 'selected = "selected"' : "";
									echo '<option value="'.$code.'" '.$selected.'>'.$status.'</option>';
								endforeach;
							 ?>
					</select>
					
					<span class="wcam_status_change_due_to_approval_info_text"><?php wcam_html_escape_allowing_special_tags(__('Select which status assign when an attachment is marked as <strong>waiting for approval</strong> by the user', 'woocommerce-attach-me')); ?></span>
					<select  name="wcam_general_options[status_to_assign_for_waiting_for_approval]" >
						<option value="unchanged" <?php if($options['status_to_assign_for_waiting_for_approval'] == 'unchanged') echo 'selected="selected"';?>><?php esc_html_e('Leave unchanged', 'woocommerce-attach-me'); ?></option>
						<?php 
								foreach((array)$order_statuses as $code => $status): 
									$selected = $options['status_to_assign_for_waiting_for_approval'] == $code ? 'selected = "selected"' : "";
									echo '<option value="'.$code.'" '.$selected.'>'.$status.'</option>';
								endforeach;
							 ?>
					</select>
				</div>
				
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Automatically delete expired order attachments', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('By default order attachments are displayed both on the frontend and backend even if expired even if their file content is not accessible due to the expiration. This option allows deleting the attachments and file content once they expire.', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[order_attachments][automatically_delete_expired]" value="true" <?php checked(wcam_get_value_if_set($options, array('order_attachments','automatically_delete_expired'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Feedback texts', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('Save feedback text also as order note.', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[feedback_text_save_on_order_note]" value="yes" <?php checked(wcam_get_value_if_set($options, array('feedback_text_save_on_order_note'), 'false'),'yes'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Email' , 'woocommerce-attach-me');?></h2>
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Admin recipients - approval / feedback email notifications', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('If left empty, email notification will be sent to address set in the WooCommerce -> Settings -> Eamil -> From option ', 'woocommerce-attach-me');?></p>
					<input type="text" name="wcam_general_options[admin_notification_recipients]" value="<?php echo $admin_notification_recipients; ?>" placeholder="<?php echo esc_attr__('admin1@domain.com, admin2@domain.com, admin3@domain.com', 'woocommerce-attach-me'); ?>"></inptu>
				</div>
				
				
				
				<!-- <h2 class="wcam_section_title"><?php esc_html_e('Locale - Set time offset', 'woocommerce-attach-me');?></h2>
				<p><?php esc_html_e('Product and Order attachments can have an expiring time. Time is synchronized using server time. Current server time is: ', 'woocommerce-attach-me'); ?>
				<strong><?php echo date("l").", ".date("H:i"); ?></strong><br/>
				<?php esc_html_e('Adjusted server time with offeset is: ', 'woocommerce-attach-me'); ?>
				<strong><?php echo date("l", strtotime($time_offset.' minutes')).", ".date("H:i", strtotime($time_offset.' minutes')); ?></strong></p>
				<label><?php esc_html_e('Set the time offset to syncronize server time with your local time. Time is expressed in minutes (so to increase by 1 hour select 60): ', 'woocommerce-attach-me'); ?></label>
				<input type="number" name="wcam_general_options[time_offset]" min="-1440" max="1440" value="<?php echo $time_offset; ?>"></inptu>
				-->
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Admin area', 'woocommerce-attach-me');?></h2>
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Show attachment approval status in the Orders table', 'woocommerce-attach-me');?></h4>
					<p><?php esc_html_e('In the orders list page, the plugin will display a new column in which it will report the approval status of each attachment of the order.', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[admin_orders_list][show_approval_column]" value="true" <?php checked(wcam_get_value_if_set($options, array('admin_orders_list','show_approval_column'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Frontend area', 'woocommerce-attach-me');?></h2>
				<h4 class="wcam-sub-section-title"><?php esc_html_e('My account', 'woocommerce-attach-me');?></h4>
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Downloads', 'woocommerce-attach-me');?></h4>
					<label><?php esc_html_e('Show attachments in Download tab', 'woocommerce-attach-me');?></label>
					<p><?php esc_html_e('By default attachments are shown only in the Order details page. Enabling this option they will be listed in the Downloads page.', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[show_attachments_in_downloads_page]" value="true" <?php checked(wcam_get_value_if_set($options, array('show_attachments_in_downloads_page'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
					
					<label><?php esc_html_e('Hide the "Approval required" column', 'woocommerce-attach-me');?></label>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[hide_approval_required_column]" value="true" <?php checked(wcam_get_value_if_set($options, array('hide_approval_required_column'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Order list', 'woocommerce-attach-me');?></h4>
					<label><?php esc_html_e('Hide the "View attachment" button', 'woocommerce-attach-me');?></label>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[hide_attachment_button_in_order_list_page]" value="true" <?php checked(wcam_get_value_if_set($options, array('hide_attachment_button_in_order_list_page'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Thank you page', 'woocommerce-attach-me');?></h4>
					<label><?php esc_html_e('Do not show attachments on thank you page', 'woocommerce-attach-me');?></label>
					<p><?php esc_html_e('By default attachments are shown also in the Thank you page (according the attachment order status settings). You can disable the attachment view in the Thank you page', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[hide_attachments_in_thank_you_page]" value="true" <?php checked(wcam_get_value_if_set($options, array('hide_attachments_in_thank_you_page'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				
				<!-- Style -->
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Style', 'woocommerce-attach-me');?></h2>
				<div class="wcam-option-group wcam-one-third">
					<h4><?php esc_html_e('Link open method', 'woocommerce-attach-me');?></h4>
					<label><?php esc_html_e('Open link in same window', 'woocommerce-attach-me');?></label>
					<p><?php esc_html_e('By default attachments link are opened in new tab. However this behaviour could be prevented by some Ad blocker. If you are experiencing this issue, enable the following checkbox:', 'woocommerce-attach-me'); ?></p>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[open_link_in_same_window]" value="true" <?php checked(wcam_get_value_if_set($options, array('open_link_in_same_window'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				
				
				</div>
				<div class="wcam-option-group wcam-one-third">
					<h4><?php esc_html_e('Image preview method', 'woocommerce-attach-me');?></h4>
					<label><?php esc_html_e('Select which method to use', 'woocommerce-attach-me');?></label>
					<?php esc_html_e('In case you are experiencing issue previewing images, please try selecting the "Alternative" option.', 'woocommerce-attach-me'); ?><br/>
					<select  name="wcam_general_options[image_preview_method]">
						<option value="standard_method" <?php if(!isset($options['image_preview_method']) || $options['image_preview_method'] == 'standard_method') echo 'selected';?>>	<?php esc_html_e('Standard', 'woocommerce-attach-me'); ?></option>
						<option value="alternative_method" <?php if(isset($options['image_preview_method']) && $options['image_preview_method'] == 'alternative_method') echo 'selected';?>><?php esc_html_e('Alternative', 'woocommerce-attach-me'); ?></option>
					</select>
				</div>
				
				<div class="wcam-option-group wcam-one-third">
					<label><?php esc_html_e('Attachment list position - Order details page', 'woocommerce-attach-me');?></label>
					<select  name="wcam_general_options[order_details_page_attachment_position]">
						<option value="woocommerce_order_details_after_order_table" <?php if(!isset($options['order_details_page_attachment_position']) || $options['order_details_page_attachment_position'] == 'woocommerce_order_details_after_order_table') echo 'selected';?>>	<?php esc_html_e('After order table', 'woocommerce-attach-me'); ?></option>
						<option value="woocommerce_order_details_before_order_table" <?php if(isset($options['order_details_page_attachment_position']) && $options['order_details_page_attachment_position'] == 'woocommerce_order_details_before_order_table') echo 'selected';?>><?php esc_html_e('Before order table', 'woocommerce-attach-me'); ?></option>
					</select>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label><?php esc_html_e('Approval option list style (You can select to display approval options using a select box or a radio buttons)', 'woocommerce-attach-me');?></label>
					<select  name="wcam_general_options[approval_box_style]">
						<option value="select" <?php if(!isset($options['approval_box_style']) || $options['approval_box_style'] == 'select') echo 'selected';?>>Select</option>
						<option value="radio" <?php if(isset($options['approval_box_style']) && $options['approval_box_style'] == 'radio') echo 'selected';?>>Radio</option>
					</select>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label ><?php esc_html_e('Display image preview (both order and products attachments)', 'woocommerce-attach-me');?></label>
					<select  name="wcam_general_options[dispaly_image_preview]">
						<option value="no" <?php if(!isset($options['dispaly_image_preview']) || $options['dispaly_image_preview'] == 'no') echo 'selected';?>><?php esc_html_e('No', 'woocommerce-attach-me');?></option>
						<option value="yes" <?php if(isset($options['dispaly_image_preview']) && $options['dispaly_image_preview'] == 'yes') echo 'selected';?>><?php esc_html_e('Yes', 'woocommerce-attach-me');?></option>
					</select>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label><?php esc_html_e('Display images using a lightbox? (Works only Image Preview option has been enabled. For some themes may not work)', 'woocommerce-attach-me');?></label>
					<label class="wcam-switch  wcam-very-smalll-margin-top">
						  <input type="checkbox" class="" name="wcam_general_options[use_lightbox_preview]" value="true" <?php checked(wcam_get_value_if_set($options, array('use_lightbox_preview'), 'false'),'true'); ?>>
						  <span class="wcam-slider"></span>
					</label>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label ><?php esc_html_e('Thumb  width (by default is used the one setted in "Settings" -> "Media" option)', 'woocommerce-attach-me');?></label>
					<input type="number" min="0" name="wcam_general_options[thumb_width]"value="<?php if(isset($options['thumb_width'])) echo $options['thumb_width']; else echo $default_width;?>" ></input>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label ><?php esc_html_e('Thumb  heigth (by default is used the one setted in "Settings" -> "Media" option)', 'woocommerce-attach-me');?></label>
					<input type="number" min="0" name="wcam_general_options[thumb_height]"value="<?php if(isset($options['thumb_height'])) echo $options['thumb_height']; else echo $default_height; ?>" ></input>
				</div>
				<div class="wcam-option-group wcam-one-third">
					<label ><?php esc_html_e('Order attachment container width', 'woocommerce-attach-me');?></label>
					<p><?php wcam_html_escape_allowing_special_tags(__('Adjust the order attachment container width. Decreasing the width will be displayed more elements in the same row. <strong>NOTE</strong> In case of image attachment, if you enabled the option to display the preview, image preview size will be this value', 'woocommerce-attach-me'));?></p>
					<input type="number" min="0" name="wcam_general_options[order_attachment_container]"value="<?php if(isset($options['order_attachment_container'])) echo $options['order_attachment_container']; else echo 320;?>" ></input>
				</div>	
					
				<!-- TEXTS -->	
				<h2 class="wcam-section-title wcam-small-margin-top"><?php esc_html_e('Texts', 'woocommerce-attach-me');?></h4>
				<?php if($wpml->is_wpml_active()):?>
					<small><strong><?php esc_html_e('NOTE:', 'woocommerce-attach-me');?></strong> <?php esc_html_e('WPML Detected! to translate following texts simply select the language you desire from the upper WPML language selector, edit texts and save!', 'woocommerce-attach-me');?> </small>
				<?php endif; ?>
				
				
				
				<div class="wcam-option-group wcam-half">
					<h4 ><?php esc_html_e('Admin Order details page', 'woocommerce-attach-me');?></h4>
					<label class="wcam_small_margin_top"><?php esc_html_e('Attachment tab title', 'woocommerce-attach-me');?></label>
					<input type="text" name="wcam_general_options[default_attachment_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['default_attachment_title'][$curr_lang ])) echo $options['default_attachment_title'][$curr_lang]; else esc_html_e('Attachment', 'woocommerce-attach-me'); ?>"></input>
				</div>
				
				<h4 class="wcam-sub-section-title"><?php esc_html_e('Frontend', 'woocommerce-attach-me');?></h4>
				<div class="wcam-option-group wcam-half">
					<h4 ><?php esc_html_e('Frontend Product page page', 'woocommerce-attach-me');?></h4>
					<label class="wcam_small_margin_top"><?php esc_html_e('Attachment tab title', 'woocommerce-attach-me');?></label>
					<input type="text" name="wcam_general_options[product_tab_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['product_tab_title'][$curr_lang ])) echo $options['product_tab_title'][$curr_lang]; else esc_html_e('Attachment', 'woocommerce-attach-me'); ?>"></input>
				</div>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Orders list page', 'woocommerce-attach-me');?></h4>				
					<p>
						<label class="wcam_small_margin_top"><?php esc_html_e('View attachment button', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[view_attachments_button][<?php echo $curr_lang ?>]" value="<?php if(isset($options['view_attachments_button'][$curr_lang ])) echo $options['view_attachments_button'][$curr_lang]; else esc_html_e('View Attachments', 'woocommerce-attach-me');; ?>"></input>
					</p>
				</div>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Product page page', 'woocommerce-attach-me');?></h4>
					<label class="wcam_small_margin_top"><?php esc_html_e('Download / View button', 'woocommerce-attach-me');?></label>
					<input type="text" name="wcam_general_options[product_page_download_view_button_text][<?php echo $curr_lang ?>]" value="<?php if(isset($options['product_page_download_view_button_text'][$curr_lang ])) echo $options['product_page_download_view_button_text'][$curr_lang]; else esc_html_e('Download / View', 'woocommerce-attach-me'); ?>"></input>
				</div>
				
				<div class="wcam-option-group wcam-half">
					<h4><?php esc_html_e('Product attachments section', 'woocommerce-attach-me');?></h4>
					<label class="wcam_small_margin_top"><?php esc_html_e('Attacments section title', 'woocommerce-attach-me');?></label>
					<input type="text" name="wcam_general_options[product_attachments_box][<?php echo $curr_lang ?>]" value="<?php if(isset($options['product_attachments_box'][$curr_lang ])) echo $options['product_attachments_box'][$curr_lang]; else esc_html_e('Downloads', 'woocommerce-attach-me'); ?>"></input>
				</div>
				
				<div class="wcam-option-group wcam-full">
					<h4><?php esc_html_e('Order details page', 'woocommerce-attach-me');?></h4>				
					<div class="wcam-half-container">
						<label class="wcam_small_margin_top"><?php esc_html_e('No attachments message (This message will be displayed there are no attachments. Live empty to not display anything)', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[no_attachments_message][<?php echo $curr_lang ?>]" value="<?php if(isset($options['no_attachments_message'][$curr_lang ])) echo $options['no_attachments_message'][$curr_lang]; else ""; ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Attachments section title', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[title_box][<?php echo $curr_lang ?>]" value="<?php if(isset($options['title_box'][$curr_lang ])) echo $options['title_box'][$curr_lang]; else esc_html_e('Attachments', 'woocommerce-attach-me'); ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Download / View button', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[download_view_button_text][<?php echo $curr_lang ?>]" value="<?php if(isset($options['download_view_button_text'][$curr_lang ])) echo $options['download_view_button_text'][$curr_lang]; else esc_html_e('Download / View', 'woocommerce-attach-me'); ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Copy file URL to clipboard', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[copy_to_clipboard_button_text][<?php echo $curr_lang ?>]" value="<?php if(isset($options['copy_to_clipboard_button_text'][$curr_lang ])) echo $options['copy_to_clipboard_button_text'][$curr_lang]; else esc_html_e('Copy file URL to clipboard', 'woocommerce-attach-me'); ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Approval box title', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[approve_box_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['approve_box_title'][$curr_lang ])) echo $options['approve_box_title'][$curr_lang]; else esc_html_e('Do you approve?', 'woocommerce-attach-me'); ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Approval already sent message', 'woocommerce-attach-me');?></label>
						<textarea type="text" name="wcam_general_options[approve_already_sent_message][<?php echo $curr_lang ?>]" ><?php if(isset($options['approve_already_sent_message'][$curr_lang ])) echo $options['approve_already_sent_message'][$curr_lang]; else esc_html_e('Approvation already sent. Selected value was:', 'woocommerce-attach-me'); ?></textarea>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Approval options', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[approve_not_yet_text][<?php echo $curr_lang ?>]" placeholder="<?php esc_html_e("Text for 'waiting for approval' status", 'woocommerce-attach-me');?>" value="<?php if(isset($options['approve_not_yet_text'][$curr_lang ])) echo $options['approve_not_yet_text'][$curr_lang]; else esc_html_e('Not yet', 'woocommerce-attach-me'); ?>" required></input><br/>
						<input type="text" name="wcam_general_options[approve_yes_text][<?php echo $curr_lang ?>]" placeholder="<?php esc_html_e("Text for 'approved' status", 'woocommerce-attach-me');?>" value="<?php if(isset($options['approve_yes_text'][$curr_lang ])) echo $options['approve_yes_text'][$curr_lang]; else esc_html_e('Yes', 'woocommerce-attach-me'); ?>" required></input><br/>
						<input type="text" name="wcam_general_options[approve_no_text][<?php echo $curr_lang ?>]" placeholder="<?php esc_html_e("Text for 'not approved' status", 'woocommerce-attach-me');?>" value="<?php if(isset($options['approve_no_text'][$curr_lang ])) echo $options['approve_no_text'][$curr_lang]; else esc_html_e('No', 'woocommerce-attach-me'); ?>" required></input><br/>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Feedback section title', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[feedback_box_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['feedback_box_title'][$curr_lang ])) echo $options['feedback_box_title'][$curr_lang]; else esc_html_e('Please enter a feedback', 'woocommerce-attach-me'); ?>"></input>
					</div>
					<div class="wcam-half-container">
						<label><?php esc_html_e('Disclaimer checkbox label (html is accepted)', 'woocommerce-attach-me');?></label>
						<?php wcam_html_escape_allowing_special_tags(__('<strong>Example:</strong> I accept the &lt;a href="http://yoursite.com/disclaimer"&gt;disclaimer&lt;/a&gt; ','woocommerce-attach-me')); ?><br/>
						<textarea type="text" name="wcam_general_options[disclaimer_text][<?php echo $curr_lang ?>]" ><?php if(isset($options['disclaimer_text'][$curr_lang ])) echo $options['disclaimer_text'][$curr_lang]; else ""; ?></textarea>
					</div>
				</div>
				
				
				<h4 class="wcam-sub-section-title"><?php esc_html_e('Emails', 'woocommerce-attach-me');?></h4>
				<div class="wcam-option-group wcam-half">
					<p>
						<label class="wcam_small_margin_top"><?php esc_html_e('Customer approval section title', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[email_approve_box_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['email_approve_box_title'][$curr_lang ])) echo $options['email_approve_box_title'][$curr_lang]; else esc_html_e('Customer has approved?', 'woocommerce-attach-me'); ?>"></input>
					</p>
					<p>
						<label><?php esc_html_e('Customer feedback section title', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[email_feedback_box_title][<?php echo $curr_lang ?>]" value="<?php if(isset($options['email_feedback_box_title'][$curr_lang ])) echo $options['email_feedback_box_title'][$curr_lang]; else esc_html_e('Customer feedback', 'woocommerce-attach-me'); ?>"></input>
					</p>
					<p>
						<label><?php esc_html_e('No customer feedback message', 'woocommerce-attach-me');?></label>
						<input type="text" name="wcam_general_options[email_no_customer_feedback_message][<?php echo $curr_lang ?>]" value="<?php if(isset($options['email_no_customer_feedback_message'][$curr_lang])) echo $options['email_no_customer_feedback_message'][$curr_lang]; else esc_html_e('No customer feedback', 'woocommerce-attach-me'); ?>"></input>
					</p>
				</div>
				
				
				<div id="wcam_save_button_container">
					<input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes', 'woocommerce-attach-me'); ?>" />
				</div>
			</div>
			</form>
		</div>
		<?php
	}	
		
}
?>