<?php 
class WCAM_ProductTablePage
{
	var $wpml;
	public function __construct()
	{
		add_action( 'manage_product_posts_custom_column', array(&$this, 'manage_product_schedule_column'), 10, 2 );
		add_filter( 'manage_edit-product_columns', array(&$this, 'add_post_schedule_info_column'),15 );
	}
	function manage_product_schedule_column( $column, $post_id ) 
	{
		global $wcam_product_model, $wcam_bulk_products_attachments_options;
		
		if(!isset($this->wpml))
			$this->wpml = new WCAM_Wpml();
		$original_id = 	$this->wpml->get_original_id($post_id);
	    $post_id = $original_id ? $original_id : $post_id ;
		
		$rules = $wcam_bulk_products_attachments_options->get_rules_by_product_id($post_id);
		$specific_product_rules = $wcam_product_model->get_attachments($post_id);
		if ( $column == 'wcam-bulk-attachment-rule' ) 
		{
			if($rules)
			{
				echo '<strong>'.esc_html__('Bulk rule id(s): ', 'woocommerce-attach-me').'</strong><br/>';
				echo '<ul>';
					foreach((array)$rules as $rule)
					{
					  echo '<li><a class="" target="_blank" href="'.admin_url().'admin.php?page='.WCAM_BulkProductsAttachmentsConfigurator::$page_url_par.'">'.
							$rule['rule_id'].
							'</a></li>';
					}
				echo '</ul>';
				
				
			}
			
			//specific rules
			if($specific_product_rules)
			{
				echo '<strong>'.esc_html__('# attachments: ', 'woocommerce-attach-me').'</strong><br/>';
				
				echo count($specific_product_rules).'<br/>';
			}
		}
	}
	function add_post_schedule_info_column($columns)
	 {

	   //add column
	   $columns['wcam-bulk-attachment-rule'] = esc_html__('Attachments', 'woocommerce-attach-me'); 

	   return $columns;
	}
}
?>