<?php 
class WCAM_HTML
{
	function __construct()
	{
		
	}
	public function init_attachments_metabox_js($order_id = "none")
	{
		global $wcam_order_model;
		$custom_order_status_emails = WCAM_Email::get_wc_order_status_emails();
		
		$general_options_model = new WCAM_Option();
		$general_options = $general_options_model->get_option();
		$wpml = new WCAM_Wpml();
		$curr_lang = $wpml->get_current_language();
		$order_statuses = wc_get_order_statuses();
		
		//Javascript template
		$js_template =   '<li class="wcam-attachment-box" data-id="%wcam_index%" data-already-uploaded="no">';
		   $js_template .= '<input type="hidden" name="wcam_id[%wcam_index%]" value="%wcam_index%" ></input>';
		   $js_template .= '<h2 ><div class="button wcam_collapse_expand_button" data-id="%wcam_index%">-</div>'.esc_html__('New attachment', 'woocommerce-attach-me').'</h2>';
		   $js_template .= '<div class="wcam-attachment-box-content" id="wcam-attachment-box-content-%wcam_index%" data-already-collapsed="no">';
		   $js_template .= '<h4 >'.esc_html__('Shortcode', 'woocommerce-attach-me').'</h4>';
		   $js_template .= ' <p><a href="#" class="wcam_tooltip">[wcam_download_link id="%wcam_index%"]';
				 $js_template .= '				<span>'.esc_html__('Paste the following shortcode ', 'woocommerce-attach-me').'<b>[wcam_download_link id="%wcam_index%"]</b>'.esc_html__('in the notification email body (see down below) to embed a direct link to download/view the file.', 'woocommerce-attach-me').'</span>';
				 $js_template .= '		</a>';
				 $js_template .= '</p>';

			 	
			   $js_template .= '<h4 >'.str_replace("'", "\'", esc_html__('Attachment title', 'woocommerce-attach-me')).'</h4>';
			   $js_template .= '<input style="display:block;" type="text"id="wcam_attachment_title_%wcam_index%" class="wcam-attachments-titles" name="wcam_attachment_title[%wcam_index%]" placeholder="'.str_replace("'", "\'", esc_html__('Title/description', 'woocommerce-attach-me')).'" value="'.(isset($general_options['default_attachment_title'][$curr_lang ]) ? $general_options['default_attachment_title'][$curr_lang] : "" ).'"></input>';
			   $js_template .= '<div id="wcam-file-data-box">';
			   $js_template .= '	<input type="radio" id="wcam-radio-file-%wcam_index%" name="wcam-attachment-type%wcam_index%" value="file" checked="checked"></input>';
			   $js_template .= '  	<label class="wcam-label" >'.str_replace("'", "\'", esc_html__('Upload a file', 'woocommerce-attach-me')).'</label>';
			   $js_template .= '  	<input style="display:block; margin-bottom:15px;" type="file" class="file_input" name="wcam_attachment_file-%wcam_index%" ></input>';
			
			   $js_template .= '  	<input type="radio" id="wcam-radio-ext-%wcam_index%" name="wcam-attachment-type%wcam_index%" value="ext"></input>';
			   $js_template .= ' 	<label class="wcam-label" >'.str_replace("'", "\'", esc_html__('Or attach an external URL:', 'woocommerce-attach-me')).'</label>';
			   $js_template .= '  	<input style="display:block; margin-bottom:15px;" id="wcam-external-link-%wcam_index%" class="wcam-external-url" type="text" name="wcam_attachment_external_url[%wcam_index%]" placeholder="'.str_replace("'", "\'", esc_html__('Ex: http://www.gdocs.com/file.jpg', 'woocommerce-attach-me')).'"></input>';
		
			   $js_template .= '  	<input type="radio" id="wcam-radio-gallery-%wcam_index%" name="wcam-attachment-type%wcam_index%"  value="file"></input>';
			   $js_template .= '  	<label class="wcam-label" >'.esc_html__('Or attach from gallery:', 'woocommerce-attach-me').'</label>';
			   $js_template .= '  	<input style="display:block;"   class="wcam-gallery-input" id="wcam-gallery-link-%wcam_index%" class="wcam-gallery-attachment" type="text" name="wcam_attachment_gallery_url[%wcam_index%]" placeholder="'.esc_attr__('Click on the "Browse from Media gallery" button', 'woocommerce-attach-me').'" readonly></input>';
			   $js_template .= '	<input type="hidden" id="gallery_media_id_%wcam_index%" name="wcam_attachment_gallery_media_id[%wcam_index%]"></input>';
			   $js_template .= '    <input type="button" data-id="%wcam_index%" class="wcam-browse-link button" value="'.esc_html__('Browse from Media gallery', 'woocommerce-attach-me').'" />';
				
			   $js_template .= '  	<h4><'.esc_html__('Attachment description (optional)', 'woocommerce-attach-me').'</h4>';
			   $js_template .= '<textarea rows="4" cols="30"  class="wcam-attachment-description" id="wcam-attachment-description-%wcam_index%" data-id="%wcam_index%" placeholder="'.esc_html__('Ex.: To view, click on the follow link [wcam_download_link]', 'woocommerce-attach-me').'" name="wcam-attachment-description[%wcam_index%]"></textarea>';
			   $js_template .= '</div>';
			   
			   $js_template .= '<button class="button wccm_advanced_option_button" data-id="%wcam_index%" >'.esc_html__('Show/Hide advanced options', 'woocommerce-attach-me').'</button>';
			   $js_template .= '<div class="wccm_advanced_option_box" id="wcam-advanced-options-box-%wcam_index%">';
				   $js_template .= '<input type="checkbox" name="wcam-secure-download[%wcam_index%]"  id="wcam-secure-download-%wcam_index%" class="wcam-customer-approve-checkbox" value="yes" '. (isset($general_options['secure_download']) && $general_options['secure_download'] == 'yes' ? 'checked="checked"' : "") .'></input>';
				   $js_template .= '<label class="wcam-label"  >'.str_replace("'", "\'", esc_html__('Secure download (Only the owner of the order can view/download the file). This option will not work with external  links.', 'woocommerce-attach-me')).'</label>';
				   $js_template .= '<br/>';
				   
				   $js_template .= '<input type="checkbox" name="wcam-customer-approve-checkbox[%wcam_index%]" class="wcam-customer-approve-checkbox" value="yes" '. (isset($general_options['approve_checkbox_default_value']) && $general_options['approve_checkbox_default_value'] == 'yes' ? 'checked="checked"' : "").'></input>';
				   $js_template .= '<label class="wcam-label"  >'.str_replace("'", "\'", esc_html__('Enable customer approval? ', 'woocommerce-attach-me')).'</label>';
				   $js_template .= '<br/>';
				   
				   $js_template .= '<input type="checkbox"  name="wcam-customer-reapprove-checkbox[%wcam_index%]" class="wcam-customer-approve-checkbox" value="yes" '. (isset($general_options['reapprove_checkbox_default_value']) && $general_options['reapprove_checkbox_default_value'] == 'yes' ? 'checked="checked"' : "") .'></input>';
				   $js_template .= '<label class="wcam-label" >'.esc_html__('Can customer change approval value after submit?', 'woocommerce-attach-me').'</label>';
				   $js_template .= '<br/>';
					 
				   $js_template .= '<input type="checkbox" name="wcam-customer-feedback-checkbox[%wcam_index%]"  class="wcam-customer-approve-checkbox" value="yes" '.  (isset($general_options['feedback_checkbox_default_value']) && $general_options['feedback_checkbox_default_value'] == 'yes' ? 'checked="checked"' : "") .'></input>';
				   $js_template .= '<label class="wcam-label"  for="wcam-customer-feedback-checkbox">'.str_replace("'", "\'", esc_html__('Allow the customer to leave a feedback?', 'woocommerce-attach-me')).'</label>';
				   $js_template .= '<br/>';
				   
				   $js_template .= ' <input type="checkbox" name="wcam-customer-cannot-modify-feedback-after-sumbit[%wcam_index%]"  class="wcam-customer-feedback-checkbox" value="yes" '. (isset($general_options['feedback_cannot_be_modified_after_submit_default_value']) && $general_options['feedback_cannot_be_modified_after_submit_default_value'] == 'yes' ? 'checked="checked"' : "").' ></input>';
				   $js_template .= '<label class="wcam-label"  >'.esc_html__('The feedback cannot be modified after submit', 'woocommerce-attach-me').'</label>';
				   $js_template .= '<br/>';				
				   
					$js_template .= 					__('... and feedback is required when (it works only if the previous feedback option has been enabled)', 'woocommerce-attach-me');
					$js_template .= 					'<br/><select type="checkbox" name="wcam-customer-feedback-strategy[%wcam_index%]"  value="yes">';
					$js_template .= 						'<option value="always" '. (isset($general_options['feedback_strategy']) && $general_options['feedback_strategy'] == 'always' ? 'selected="selected"' : "") .'>'.esc_html__('Always', 'woocommerce-attach-me').'</option>';
					$js_template .= 						'<option value="only_yes" '. (isset($general_options['feedback_strategy']) && $general_options['feedback_strategy'] == 'only_yes' ? 'selected="selected"' : "") .'>'.esc_html__('If customer approves', 'woocommerce-attach-me').'</option>';
					$js_template .= 						'<option value="only_no" '. (isset($general_options['feedback_strategy']) && $general_options['feedback_strategy'] == 'only_no' ? 'selected="selected"' :"") .'>'.esc_html__('If customer does not approve', 'woocommerce-attach-me').'</option>';
					$js_template .= 						'<option value="never" '. (isset($general_options['feedback_strategy']) && $general_options['feedback_strategy'] == 'never'  ?'selected="selected"' :"") .'>'.esc_html__('Never', 'woocommerce-attach-me').'</option>';
					$js_template .= 					'</select>';
					$js_template .= 				'<br/>';
				   
				   $js_template .= '<input type="checkbox" name="wcam-customer-admin-notification-checkbox[%wcam_index%]" class="wcam-customer-admin-notification-checkbox" value="yes" '. (isset($general_options['customer_admin_notification_checkbox_default_value']) && $general_options['customer_admin_notification_checkbox_default_value'] == 'yes' ? 'checked="checked"' : "").'></input>';
				   $js_template .= '<label class="wcam-label"  for="wcam-customer-admin-notification[%wcam_index%]">' .esc_html__('Receive an email when the customer approves or leaves a feedback? ', 'woocommerce-attach-me').'</label>';
				  $js_template .= 	'<br/>';
				  $js_template .= '<input type="checkbox" ' .(isset($general_options['display_copy_to_clipboard_button']) && $general_options['display_copy_to_clipboard_button'] == 'yes' ? 'checked="checked"' : "") .' name="wcam-display-copy-to-clipboard-button[%wcam_index%]"  value="yes"></input>';
				  $js_template .= 					'<label class="wcam-label" >'. esc_html__('Display also the "Copy attached file url to clipboard" button next the "Download/View" button on Order details page?', 'woocommerce-attach-me'). '</label>';
				  $js_template .= 				'<br/>';
				  
				   $js_template .= '<input type="checkbox"  .'.(isset($general_options['download_only_if_disclaimer_has_been_accepted']) && $general_options['download_only_if_disclaimer_has_been_accepted'] == 'yes' ? 'checked="checked"' : "") .' name="wcam-download-only-if-disclaimer-has-been-accepted[%wcam_index%]"  value="yes"></input>';
					 $js_template .= 				'<label class="wcam-label" >'.wcam_html_escape_allowing_special_tags(__('The attachment is downloadable only if the <strong>disclaimer</strong> has been accepted? (Disclaimer checkbox label can be setted in the General options and texts menu)', 'woocommerce-attach-me'), false).'</label>';
					 $js_template .= 				'<br/>';
									
				   $js_template .= '<h4>'.esc_html__('Select for which order status the attachment has to be hidden', 'woocommerce-attach-me').'</h4>';
									
									 $order_statuses = wc_get_order_statuses();
									 foreach((array)$order_statuses as $code => $status): 
										$status = str_replace("'", "\'", $status);
										$hide_on_current_status= isset($general_options['order_attachment_hide_by_status']) && in_array($code, $general_options['order_attachment_hide_by_status']) ? true : false;
									 
					 $js_template .= '					<input type="checkbox" '.($hide_on_current_status ?  'checked="checked"' : "");
					 $js_template .= '					   name="wcam-order-attachment-hide-by-status[%wcam_index%][]"  value="'.$code.'">'.esc_html__('Hide on','')." ".$status.'</input>';
					 $js_template .= '					<br/>';
										endforeach; 
				  
				  
				    $js_template .= ' <h4 class="wcam_email_downloads_table_options_title">'.esc_html__('My Account - Downloads table', 'woocommerce-attach-me').'</h4>';
					$js_template .= '				<p  class="wcam-downloads-table-custom-title-column-description">'.wcam_html_escape_allowing_special_tags(__('These options will take effect only if you enabled the <strong>Show attachments in Download tab</strong> via the <strong>General options & texts</strong> menu.', 'woocommerce-attach-me'), false).'</p>';
					$js_template .= '				<label class="wcam-label"  class="wcam-downloads-table-custom-title-column-input-label">'.esc_html__('Custom name (displayed in the "product" column)', 'woocommerce-attach-me').'</label>';
					$js_template .= '				<input type="text" name="wcam-downloads-table-custom-title-column[%wcam_index%]" value="" class="wcam-downloads-table-custom-title-column-input"></input><br/>';
									
					$js_template .= '				<input type="checkbox" name="wcam-downloads-table-hide[%wcam_index%]"  value="yes" ></input>';
					$js_template .= '				<label class="wcam-label"  >'.esc_html__('Hide from the downloads table', 'woocommerce-attach-me').'</label><br/>';
									

  				    $js_template .= '<h4 class="wcam_email_attachments_title">'.esc_html__('Email attachments (attachments will not work with external file/url)', 'woocommerce-attach-me').'</h4>';
				 
					$js_template .= '<input type="checkbox" class="wcam-attach-file-to-complete-order-email" name="wcam-attach-file-to-processing-order-email[%wcam_index%]"  value="yes" '.(isset($general_options['attach_file_to_processing_order_email_default_value']) && $general_options['attach_file_to_processing_order_email_default_value'] == 'yes' ? 'checked="checked"' : "").'></input>';
					$js_template .= '<label class="wcam-label"  for="wcam-attach-file-to-processing-order-email[%wcam_index%]">'.esc_html__('Attach file to the Processing order email', 'woocommerce-attach-me').'</label><br/>';
									
					$js_template .= '<input class="wcam-attach-file-to-complete-order-email" type="checkbox" name="wcam-attach-file-to-complete-order-email[%wcam_index%]"  value="yes" '.(isset($general_options['attach_file_to_complete_order_email_default_value']) && $general_options['attach_file_to_complete_order_email_default_value'] == 'yes' ? 'checked="checked"' :"") .'></input>';
					$js_template .= '<label class="wcam-label"  for="cam-attach-file-to-complete-order-email[%wcam_index%]">'.esc_html__('Attach file to the Complete order email', 'woocommerce-attach-me').'</label><br/>';

					$js_template .= '<input type="checkbox" class="wcam-attach-file-to-complete-order-email" name="wcam-attach-file-to-customer-invoice-email[%wcam_index%]"  value="yes" '.(isset($general_options['attach_file_to_customer_invoice_email_default_value']) && $general_options['attach_file_to_customer_invoice_email_default_value'] == 'yes' ? 'checked="checked"' : "") .'></input>';
					$js_template .= '<label class="wcam-label"  for="wcam-attach-file-to-customer-invoice-email[%wcam_index%]">'.addslashes(__("Attach file to the Customer Invoice email", "woocommerce-attach-me")).'</label><br/>';
					
					$js_template .= '<input type="checkbox" class="wcam-attach-file-to-complete-order-email" name="wcam-attach-file-to-order-refunded-email[%wcam_index%]"  value="yes" '.(isset($general_options['attach_file_to_order_refunded_email_default_value']) && $general_options['attach_file_to_order_refunded_email_default_value'] == 'yes' ? 'checked="checked"' : "") .'></input>';
					$js_template .= '<label class="wcam-label"  for="wcam-attach-file-to-order-refunded-email[%wcam_index%]">'.addslashes(__("Attach file to the Order Refunded email", "woocommerce-attach-me")).'</label><br/>';
					
				   if(!empty($custom_order_status_emails)): 
					 foreach($custom_order_status_emails as $wc_custom_email_id => $wc_custom_email_title): 
						$js_template .= '<input type="checkbox" class="wcam-attach-file-to-complete-order-email" name="wcam_wc_custom_order_emails_attachment[%wcam_index%]['.$wc_custom_email_id.']"  value="yes" '.(isset($general_options['attach_file_to_'.$wc_custom_email_id]) && $general_options['attach_file_to_'.$wc_custom_email_id] == 'yes' ? 'checked="checked"' : "").'></input>';
						$js_template .= '<label class="wcam-label"  for="wcam_wc_custom_order_emails_attachment[%wcam_index%]['.$wc_custom_email_id.']">'.addslashes(__("Attach file to", "woocommerce-attach-me")).' '.addslashes($wc_custom_email_title).' '.esc_html__("email", "woocommerce-attach-me").'</label><br/>';
					 endforeach;
				   endif; 
									
					$js_template .= '<h4 class="wcam_expiration_strategy_title">'.esc_html__('Expires?', 'woocommerce-attach-me').'</h4>';
					$js_template .= '				<select class="wcam_expiration_strategy" name="wcam_expiration_strategy[%wcam_index%]" data-id="%wcam_index%">';
					$js_template .= '					<option value="never">'.esc_html__('Never', 'woocommerce-attach-me').'</option>';
					$js_template .= '					<option value="specific_date">'.esc_html__('At specific date', 'woocommerce-attach-me').'</option>';
					$js_template .= '					<option value="relative_date">'.esc_html__('After the selected time amount after order date', 'woocommerce-attach-me').'</option>';
					$js_template .= '				</select>';
									
					$js_template .= '				<div id="wcam_expiration_relative_time_amout_selection_box_%wcam_index%" class="wcam_expiration_relative_time_amout_selection_box">';
					$js_template .= '					<label class="wcam-label" >'.esc_html__('Time amount: ', 'woocommerce-attach-me').'</label>';
					$js_template .= '					<input type="number" min="1" step="1" name="wcam_expiration_relative_time_amount[%wcam_index%]" value="1"></input>';
										
					$js_template .= '					<label class="wcam-label"  class="wcam_expiration_relative_time_time_type_label">'.esc_html__('Time type: ', 'woocommerce-attach-me').'</label>';
					$js_template .= '					<select class="wcam_expiration_strategy" name="wcam_expiration_relative_time_type[%wcam_index%]" data-id="%wcam_index%">';
					$js_template .= '						<option value="second">'.esc_html__('Seconds', 'woocommerce-attach-me').'</option>';
					$js_template .= '						<option value="minute">'.esc_html__('Minutes', 'woocommerce-attach-me').'</option>';
					$js_template .= '						<option value="hour">'.esc_html__('Hours', 'woocommerce-attach-me').'</option>';
					$js_template .= '						<option value="day">'.esc_html__('Days', 'woocommerce-attach-me').'</option>';
					$js_template .= '						<option value="month">'.esc_html__('Months', 'woocommerce-attach-me').'</option>';
					$js_template .= '					</select>';
					$js_template .= '				</div>';
					$js_template .= '				<div id="wcam_expiration_specific_date_selection_box_%wcam_index%" class="wcam_expiration_specific_date_selection_box">';
					$js_template .= '					<label class="wcam-label" >'.esc_html__('Date and time: ', 'woocommerce-attach-me').'</label>';
					$js_template .= '					<input type="text" class="wcam_expiration_specific_date" name="wcam_expiration_specific_date[%wcam_index%]" ></input>';
					$js_template .= '				</div>';
					
					
					$js_template .= '</div>';		
			   
			   $js_template .= '<button style="display:block; margin-top:15px;" class="button delete_button" data-fileid="%wcam_index%" onclick="wcam_remove_field(event);" >'.str_replace("'", "\'", esc_html__('Delete', 'woocommerce-attach-me')).'</button>';
			 $js_template .= '</div>';
		  		

			$js_template .= '</li>';
		//End javascript template 	
		
		$max_id = $wcam_order_model->get_next_attachment_id($order_id);
		
		wp_enqueue_script('jquery-ui-datepicker' );
		wp_enqueue_script('jquery-datetimepicker', wcam_PLUGIN_PATH.'/js/vendor/datetimepicker/jquery.datetimepicker.full.min.js', array('jquery'));
		
		wp_enqueue_script( 'wcam-backend-browsegallery', wcam_PLUGIN_PATH.'/js/wcam-backend-order-addon-browse-gallery.js', array( 'jquery' ) );
		wp_enqueue_script('selectWoo');	
		wp_enqueue_style( 'wcam-backend-orderaddon', wcam_PLUGIN_PATH.'/css/wcam-backend.css' );
		wp_enqueue_style( 'wcam-backend-orderaddon-select', wcam_PLUGIN_PATH.'/css/select2.css' );
		wp_enqueue_style( 'wcam-backend-tooltip', wcam_PLUGIN_PATH.'/css/wcam-tooltip.css' );
		wp_enqueue_style( 'wcam-datetimepicker', wcam_PLUGIN_PATH.'/css/vendor/datetimepicker/jquery.datetimepicker.min.css' );
		$js_src = includes_url('js/tinymce/') . 'tinymce.min.js';
		$css_src = includes_url('css/') . 'editor.css';
		wp_register_script('tinymce', $js_src);
		wp_enqueue_script('tinymce');
		wp_register_style('tinymce_css', $css_src);
		wp_enqueue_style('tinymce_css');
		wp_enqueue_media();

		
		wp_register_script( 'wcam-backend-orderaddon',wcam_PLUGIN_PATH.'/js/wcam-backend-order-addon.js', array( 'jquery' ) );
		$js_options = array(
			'copied_to_clipboard_text' => esc_html__( 'Attachment URL copied to clipboard!', 'woocommerce-attach-me' ),
			'template' => $js_template,
			'plugin_path' => wcam_PLUGIN_PATH,
			'index' => $max_id,
			'manual_notification_select_all_attachments' => isset($general_options['manual_notification_select_all_attachments']) ? 'true': 'false',
			'manual_notification_prevent_sent_without_attachments' => isset($general_options['manual_notification_prevent_sending_with_no_attachments']) ? 'true': 'false',
			'manual_notification_prevent_sent_without_attachments_msg' => esc_html__( 'No attachments have been selected. Send the email anyway?', 'woocommerce-attach-me' ),
			'loader_path' => '<img src="'.wcam_PLUGIN_PATH.'/images/ajax-loader.gif"></img>',
			'confirm_message' => esc_html__('Are you sure?', 'woocommerce-attach-me'),
			'send_message_error' => esc_html__('Recipients, subject and body message cannot be empty', 'woocommerce-attach-me')
		);
		wp_localize_script( 'wcam-backend-orderaddon', 'wcam', $js_options );
		wp_enqueue_script( 'wcam-backend-orderaddon');
	}
}
?>