"use strict";

let wcam_attachments_queue = new Array();
let wcam_attachments_queue_index = 0;
let wcam_current_id = 0;
let wcam_status_loading = true;
let wcam_current_lightbox;
let wcam_current_order_id;
jQuery(document).ready(function() 
{
	jQuery('<option>').val('wcam_delete_attachments').text(wcam_order_table.delete_attachment_msg).appendTo("select[name='action']");
	jQuery('<option>').val('wcam_delete_attachments').text(wcam_order_table.delete_attachment_msg).appendTo("select[name='action2']");
	
	jQuery(document).on('click', '.wcam-modify-order-attachments-button', wcam_load_attachments_metabox);
	
});

//step 1
function wcam_load_attachments_metabox(event)
{
	event.preventDefault();
	
	const order_id = jQuery(event.currentTarget).data('order-id');
	wcam_current_id = order_id;
	
	//UI
	jQuery(event.currentTarget).hide();
	jQuery("#wcam-order-attachments-metabox-loader-"+order_id).show();
	
	const formData = new FormData();
	formData.append('action', 'wcam_load_order_attachments_metabox');	//Order addon model
	formData.append('order_id', order_id)	
	
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData, 
			async: true,
			success: function (data) 
			{
				wcam_init_attachments_metabox(event.currentTarget, data, order_id);				
			},
			error: function (data) 
			{
				
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
		
	return false;
}
//step 2
function wcam_init_attachments_metabox(button, attachment_data, order_id)
{
	const formData = new FormData();
	formData.append('action', 'wcam_load_attachments_next_id');	//Order model 
	formData.append('order_id', order_id)	
	
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData, 
			async: true,
			success: function (data) 
			{
				wcam_current_order_id = order_id;
				
				//UI
				jQuery(button).show();
				jQuery("#wcam-order-attachments-metabox-loader-"+order_id).hide();	
				wcam_current_lightbox = jQuery.featherlight(attachment_data, {beforeClose:wcam_reload_attachment_counter});	
					
				wcam_init_attachments_metabox_components();
				wcam_index = parseInt(data);
				
								
			},
			error: function (data) 
			{
				
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
}
function wcam_reload_attachment_counter(event)
{
	const formData = new FormData();
	formData.append('action', 'wcam_load_number_or_attachments');	//Order model
	formData.append('order_id', wcam_current_order_id)	
	jQuery.ajax({
			url: ajaxurl,
			type: 'POST',
			data: formData, 
			async: true,
			success: function (data) 
			{
				//UI
				jQuery("#wcam_attachment_counter_"+wcam_current_order_id).html(data);	
								
			},
			error: function (data) 
			{
				
			},
			cache: false,
			contentType: false,
			processData: false
		}); 
}
